<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.ucm.core.provider Class Hierarchy (org.eclipse.papyrus.designer.ucm.core 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.ucm.core.provider Class Hierarchy (org.eclipse.papyrus.designer.ucm.core 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/menu/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/types/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/core/provider/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.designer.ucm.core.provider</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.infra.widgets.providers.AbstractStaticContentProvider (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/PortContentProvider.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">PortContentProvider</span></a> (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/UCMContentProvider.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">UCMContentProvider</span></a> (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/TechnicalPolicyContentProvider.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">TechnicalPolicyContentProvider</span></a> (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/UCMContentProviderWithUndef.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">UCMContentProviderWithUndef</span></a> (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.core.commands.common.EventManager
<ul>
<li type="circle">org.eclipse.jface.viewers.BaseLabelProvider (implements org.eclipse.jface.viewers.IBaseLabelProvider)
<ul>
<li type="circle">org.eclipse.jface.viewers.LabelProvider (implements org.eclipse.jface.viewers.ILabelProvider)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/UCMLabelProvider.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">UCMLabelProvider</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.core.provider.<a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/provider/PortElementKindContentProvider.html" title="class in org.eclipse.papyrus.designer.ucm.core.provider"><span class="typeNameLink">PortElementKindContentProvider</span></a> (implements org.eclipse.papyrus.infra.widgets.providers.IStaticContentProvider)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/menu/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/designer/ucm/core/types/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/core/provider/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
